---
updatedAt: 2025-09-24T23:45:57.000Z
agentTools:
  projectIndex: https://developer.candis.io/llms.txt
---

# [Core Data] Create Contacts

```shell Shell
curl --location 'https://api.candis.io/v1/organizations/test-spice-bandits-api/imports/contacts' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ***' \
--data-raw '[
   {
      "accountPayableNumber":"3100000",
      "iban":"DE11000000000000",
      "name":"BCD GmbH"
   },
   {
      "accountPayableNumber":"3100001",
      "iban":"DE11000000000000",
      "name":"DDD GmbH"
   }
]'

{
    "processId": "fde8bead-184e-4003-b3ac-854dd3115992"
}

curl --location 'https://api.candis.io/v1/organizations/test-spice-bandits-api/imports/fde8bead-184e-4003-b3ac-854dd3115992?offset=0&limit=50' \
--header 'Authorization: Bearer ***'

{
    "events": [
        {
            "processId": "fde8bead-184e-4003-b3ac-854dd3115992",
            "id": "K100001",
            "organizationId": "test-spice-bandits-api",
            "status": "IMPORTED",
            "importErrors": [],
            "operation": "CREATE",
            "createdAt": "2024-09-03T23:22:45.928Z"
        },
        {
            "processId": "fde8bead-184e-4003-b3ac-854dd3115992",
            "id": "K100000",
            "organizationId": "test-spice-bandits-api",
            "status": "FAILED",
            "importErrors": [
                "CONTACT_ALREADY_EXIST"
            ],
            "operation": "CREATE",
            "createdAt": "2024-09-03T23:22:45.438Z"
        }
    ],
    "pagination": {
        "pageCount": 1,
        "pageSize": 2,
        "totalCount": 2
    }
}


```

# Create Contacts

<!-- shell@1-17 -->

As the first step, the contact should be created. In Candis, we use the accountPayableNumber as a unique identifier. Once the contact is created, it can be updated or archived as needed. All core data endpoints are built to handle batch operations, meaning a single request can send up to 100 core data entries.

# Response

<!-- shell@17-19 -->

The response from the create contact operation will return a processId, as it’s a build process. This ID can be used to fetch the status of the contact job

# Check status of create contacts

<!-- shell@21-22 -->



# Response

<!-- shell@24-54 -->

The response will include the status of all entities within the given job, indicating whether each one succeeded or failed. If an entity failed, the response will display the corresponding error code.